io.agora.rtc

## Class LastmileProbeConfig

- java.lang.Object
- - io.agora.rtc.LastmileProbeConfig

-     public class LastmileProbeConfig
      extends java.lang.Object

  Configuration for last-mile network probe test.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `expectedDownlinkBitrate` Expected downlink bitrate (bps)
    `private int` | `expectedUplinkBitrate` Expected uplink bitrate (bps)
    `private int` | `probeDownlink` Whether to probe downlink
    `private int` | `probeUplink` Whether to probe uplink

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastmileProbeConfig()` Default constructor for LastmileProbeConfig.
    `LastmileProbeConfig(int probeUplink, int probeDownlink, int expectedUplinkBitrate, int expectedDownlinkBitrate)` Constructs LastmileProbeConfig with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getExpectedDownlinkBitrate()` Gets the expected downlink bitrate (bps).
    `int` | `getExpectedUplinkBitrate()` Gets the expected uplink bitrate (bps).
    `int` | `getProbeDownlink()` Gets whether to probe downlink.
    `int` | `getProbeUplink()` Gets whether to probe uplink.
    `void` | `setExpectedDownlinkBitrate(int expectedDownlinkBitrate)` Sets the expected downlink bitrate (bps).
    `void` | `setExpectedUplinkBitrate(int expectedUplinkBitrate)` Sets the expected uplink bitrate (bps).
    `void` | `setProbeDownlink(int probeDownlink)` Sets whether to probe downlink.
    `void` | `setProbeUplink(int probeUplink)` Sets whether to probe uplink.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### probeUplink

          private int probeUplink

      Whether to probe uplink

    - #### probeDownlink

          private int probeDownlink

      Whether to probe downlink

    - #### expectedUplinkBitrate

          private int expectedUplinkBitrate

      Expected uplink bitrate (bps)

    - #### expectedDownlinkBitrate

          private int expectedDownlinkBitrate

      Expected downlink bitrate (bps)

  - ### Constructor Detail

    - #### LastmileProbeConfig

          public LastmileProbeConfig()

      Default constructor for LastmileProbeConfig.

    - #### LastmileProbeConfig

          public LastmileProbeConfig(int probeUplink,
                                     int probeDownlink,
                                     int expectedUplinkBitrate,
                                     int expectedDownlinkBitrate)

      Constructs LastmileProbeConfig with all parameters.
      Parameters:
        `probeUplink` - Whether to probe uplink
        `probeDownlink` - Whether to probe downlink
        `expectedUplinkBitrate` - Expected uplink bitrate (bps)
        `expectedDownlinkBitrate` - Expected downlink bitrate (bps)

  - ### Method Detail

    - #### getProbeUplink

          public int getProbeUplink()

      Gets whether to probe uplink.
      Returns:
        Whether to probe uplink

    - #### setProbeUplink

          public void setProbeUplink(int probeUplink)

      Sets whether to probe uplink.
      Parameters:
        `probeUplink` - Whether to probe uplink

    - #### getProbeDownlink

          public int getProbeDownlink()

      Gets whether to probe downlink.
      Returns:
        Whether to probe downlink

    - #### setProbeDownlink

          public void setProbeDownlink(int probeDownlink)

      Sets whether to probe downlink.
      Parameters:
        `probeDownlink` - Whether to probe downlink

    - #### getExpectedUplinkBitrate

          public int getExpectedUplinkBitrate()

      Gets the expected uplink bitrate (bps).
      Returns:
        Expected uplink bitrate (bps)

    - #### setExpectedUplinkBitrate

          public void setExpectedUplinkBitrate(int expectedUplinkBitrate)

      Sets the expected uplink bitrate (bps).
      Parameters:
        `expectedUplinkBitrate` - Expected uplink bitrate (bps)

    - #### getExpectedDownlinkBitrate

          public int getExpectedDownlinkBitrate()

      Gets the expected downlink bitrate (bps).
      Returns:
        Expected downlink bitrate (bps)

    - #### setExpectedDownlinkBitrate

          public void setExpectedDownlinkBitrate(int expectedDownlinkBitrate)

      Sets the expected downlink bitrate (bps).
      Parameters:
        `expectedDownlinkBitrate` - Expected downlink bitrate (bps)